
Foreman - Feature #13089

Support specifying interface MAC address during VM creation

01/08/2016 10:51 AM - Thomas Rohlik

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - libvirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

How?

Create new host and use some MAC in interfaces tab.

What?

After host is created by submit button, host have different (random generated) MAC.

Using Foreman+libvirt provider, without DNS/DHCP.

Related issues:

Has duplicate Foreman - Bug #14130: Libvirt image provision generates random ... Duplicate 03/10/2016

Is duplicate of Foreman - Feature #1501: ability to set MAC address of guests New

History

#1 - 01/08/2016 11:03 AM - Dominic Cleal

- Category set to Compute resources - libvirt

- Tracker changed from Bug to Feature

- Subject changed from My MAC is overided after host is created to Support specifying interface MAC address during VM creation

Currently the compute resource (libvirt) is configured to retrieve and store MAC for Libvirt hosts, the CR service is responsible for generating them.

#2 - 03/10/2016 02:59 AM - Dominic Cleal

- Has duplicate Bug #14130: Libvirt image provision generates random MAC address, even though you supply one during provision added

#3 - 03/15/2016 06:01 AM - Ohad Levy

- Related to Feature #1501: ability to set MAC address of guests added

#4 - 03/15/2016 06:03 AM - Dominic Cleal

- Related to deleted (Feature #1501: ability to set MAC address of guests)

#5 - 03/15/2016 06:04 AM - Dominic Cleal

- Is duplicate of Feature #1501: ability to set MAC address of guests added

#6 - 03/15/2016 06:04 AM - Dominic Cleal

- Status changed from New to Duplicate

Tracking under existing ticket #1501.
